Skip to content

Commit

Permalink
Merge branch 'master' into gpr_review
Browse files Browse the repository at this point in the history
  • Loading branch information
vjpai committed Feb 8, 2018
2 parents 0693b72 + 0819ff5 commit a54d81e
Show file tree
Hide file tree
Showing 23 changed files with 92 additions and 85 deletions.
Original file line number Diff line number Diff line change
Expand Up @@ -17,7 +17,7 @@

set -ex

cd $(dirname $0)/../../..
cd "$(dirname "$0")/../../.."

gcloud alpha dns managed-zones create \\

Expand Down
Original file line number Diff line number Diff line change
Expand Up @@ -17,7 +17,7 @@

set -ex

cd $(dirname $0)/../../..
cd "$(dirname "$0")/../../.."

gcloud dns record-sets transaction start -z=${resolver_gce_integration_tests_zone_id}

Expand Down
22 changes: 11 additions & 11 deletions templates/test/cpp/naming/resolver_component_tests_defs.include
Original file line number Diff line number Diff line change
Expand Up @@ -18,10 +18,10 @@
set -ex

# all command args required in this set order
FLAGS_test_bin_path=`echo "$1" | grep '\--test_bin_path=' | cut -d "=" -f 2`
FLAGS_dns_server_bin_path=`echo "$2" | grep '\--dns_server_bin_path=' | cut -d "=" -f 2`
FLAGS_records_config_path=`echo "$3" | grep '\--records_config_path=' | cut -d "=" -f 2`
FLAGS_test_dns_server_port=`echo "$4" | grep '\--test_dns_server_port=' | cut -d "=" -f 2`
FLAGS_test_bin_path=$(echo "$1" | grep '\--test_bin_path=' | cut -d "=" -f 2)
FLAGS_dns_server_bin_path=$(echo "$2" | grep '\--dns_server_bin_path=' | cut -d "=" -f 2)
FLAGS_records_config_path=$(echo "$3" | grep '\--records_config_path=' | cut -d "=" -f 2)
FLAGS_test_dns_server_port=$(echo "$4" | grep '\--test_dns_server_port=' | cut -d "=" -f 2)

for cmd_arg in "$FLAGS_test_bin_path" "$FLAGS_dns_server_bin_path" "$FLAGS_records_config_path" "$FLAGS_test_dns_server_port"; do
if [[ "$cmd_arg" == "" ]]; then
Expand All @@ -34,7 +34,7 @@ if [[ "$GRPC_DNS_RESOLVER" != "" && "$GRPC_DNS_RESOLVER" != ares ]]; then
fi
export GRPC_DNS_RESOLVER=ares

"$FLAGS_dns_server_bin_path" --records_config_path="$FLAGS_records_config_path" --port="$FLAGS_test_dns_server_port" 2>&1 > /dev/null &
"$FLAGS_dns_server_bin_path" --records_config_path="$FLAGS_records_config_path" --port="$FLAGS_test_dns_server_port" > /dev/null 2>&1 &
DNS_SERVER_PID=$!
echo "Local DNS server started. PID: $DNS_SERVER_PID"

Expand All @@ -53,15 +53,15 @@ done

if [[ $RETRY == 1 ]]; then
echo "FAILED TO START LOCAL DNS SERVER"
kill -SIGTERM $DNS_SERVER_PID
kill -SIGTERM "$DNS_SERVER_PID"
wait
exit 1
fi

function terminate_all {
echo "Received signal. Terminating $! and $DNS_SERVER_PID"
kill -SIGTERM $! || true
kill -SIGTERM $DNS_SERVER_PID || true
kill -SIGTERM "$!" || true
kill -SIGTERM "$DNS_SERVER_PID" || true
wait
exit 1
}
Expand All @@ -83,10 +83,10 @@ $FLAGS_test_bin_path \\

--expected_lb_policy='${test['expected_lb_policy']}' \\

--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

% endfor
kill -SIGTERM $DNS_SERVER_PID || true
kill -SIGTERM "$DNS_SERVER_PID" || true
wait
exit $EXIT_CODE</%def>
Original file line number Diff line number Diff line change
Expand Up @@ -24,7 +24,7 @@ elif [[ "$GRPC_DNS_RESOLVER" != ares ]]; then
exit 1
fi

cd $(dirname $0)/../../..
cd "$(dirname "$0")/../../.."

if [[ "$CONFIG" == "" ]]; then
export CONFIG=opt
Expand Down
2 changes: 1 addition & 1 deletion templates/tools/openssl/use_openssl.sh.template
Original file line number Diff line number Diff line change
Expand Up @@ -18,7 +18,7 @@

set -ex

cd $(dirname $0)/../..
cd "$(dirname "$0")/../.."
set root=`pwd`
CC=${"${CC:-cc}"}

Expand Down
2 changes: 1 addition & 1 deletion test/core/end2end/end2end_test.sh
Original file line number Diff line number Diff line change
Expand Up @@ -15,4 +15,4 @@
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
$1 $2
"$1" "$2"
2 changes: 1 addition & 1 deletion test/core/util/fuzzer_one_entry_runner.sh
Original file line number Diff line number Diff line change
Expand Up @@ -15,4 +15,4 @@
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
$1 $2
"$1" "$2"
2 changes: 1 addition & 1 deletion test/core/util/run_with_poller.sh
Original file line number Diff line number Diff line change
Expand Up @@ -16,4 +16,4 @@
set -ex
export GRPC_POLL_STRATEGY=$1
shift
$@
"$@"
2 changes: 1 addition & 1 deletion test/cpp/naming/create_private_dns_zone.sh
Original file line number Diff line number Diff line change
Expand Up @@ -17,7 +17,7 @@

set -ex

cd $(dirname $0)/../../..
cd "$(dirname "$0")/../../.."

gcloud alpha dns managed-zones create \
resolver-tests-version-4-grpctestingexp-zone-id \
Expand Down
2 changes: 1 addition & 1 deletion test/cpp/naming/private_dns_zone_init.sh
Original file line number Diff line number Diff line change
Expand Up @@ -17,7 +17,7 @@

set -ex

cd $(dirname $0)/../../..
cd "$(dirname "$0")/../../.."

gcloud dns record-sets transaction start -z=resolver-tests-version-4-grpctestingexp-zone-id

Expand Down
70 changes: 35 additions & 35 deletions test/cpp/naming/resolver_component_tests_runner.sh
Original file line number Diff line number Diff line change
Expand Up @@ -18,10 +18,10 @@
set -ex

# all command args required in this set order
FLAGS_test_bin_path=`echo "$1" | grep '\--test_bin_path=' | cut -d "=" -f 2`
FLAGS_dns_server_bin_path=`echo "$2" | grep '\--dns_server_bin_path=' | cut -d "=" -f 2`
FLAGS_records_config_path=`echo "$3" | grep '\--records_config_path=' | cut -d "=" -f 2`
FLAGS_test_dns_server_port=`echo "$4" | grep '\--test_dns_server_port=' | cut -d "=" -f 2`
FLAGS_test_bin_path=$(echo "$1" | grep '\--test_bin_path=' | cut -d "=" -f 2)
FLAGS_dns_server_bin_path=$(echo "$2" | grep '\--dns_server_bin_path=' | cut -d "=" -f 2)
FLAGS_records_config_path=$(echo "$3" | grep '\--records_config_path=' | cut -d "=" -f 2)
FLAGS_test_dns_server_port=$(echo "$4" | grep '\--test_dns_server_port=' | cut -d "=" -f 2)

for cmd_arg in "$FLAGS_test_bin_path" "$FLAGS_dns_server_bin_path" "$FLAGS_records_config_path" "$FLAGS_test_dns_server_port"; do
if [[ "$cmd_arg" == "" ]]; then
Expand All @@ -34,7 +34,7 @@ if [[ "$GRPC_DNS_RESOLVER" != "" && "$GRPC_DNS_RESOLVER" != ares ]]; then
fi
export GRPC_DNS_RESOLVER=ares

"$FLAGS_dns_server_bin_path" --records_config_path="$FLAGS_records_config_path" --port="$FLAGS_test_dns_server_port" 2>&1 > /dev/null &
"$FLAGS_dns_server_bin_path" --records_config_path="$FLAGS_records_config_path" --port="$FLAGS_test_dns_server_port" > /dev/null 2>&1 &
DNS_SERVER_PID=$!
echo "Local DNS server started. PID: $DNS_SERVER_PID"

Expand All @@ -53,15 +53,15 @@ done

if [[ $RETRY == 1 ]]; then
echo "FAILED TO START LOCAL DNS SERVER"
kill -SIGTERM $DNS_SERVER_PID
kill -SIGTERM "$DNS_SERVER_PID"
wait
exit 1
fi

function terminate_all {
echo "Received signal. Terminating $! and $DNS_SERVER_PID"
kill -SIGTERM $! || true
kill -SIGTERM $DNS_SERVER_PID || true
kill -SIGTERM "$!" || true
kill -SIGTERM "$DNS_SERVER_PID" || true
wait
exit 1
}
Expand All @@ -77,105 +77,105 @@ $FLAGS_test_bin_path \
--expected_addrs='1.2.3.4:1234,True' \
--expected_chosen_service_config='' \
--expected_lb_policy='' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='srv-ipv4-multi-target.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='1.2.3.5:1234,True;1.2.3.6:1234,True;1.2.3.7:1234,True' \
--expected_chosen_service_config='' \
--expected_lb_policy='' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='srv-ipv6-single-target.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='[2607:f8b0:400a:801::1001]:1234,True' \
--expected_chosen_service_config='' \
--expected_lb_policy='' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='srv-ipv6-multi-target.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='[2607:f8b0:400a:801::1002]:1234,True;[2607:f8b0:400a:801::1003]:1234,True;[2607:f8b0:400a:801::1004]:1234,True' \
--expected_chosen_service_config='' \
--expected_lb_policy='' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='srv-ipv4-simple-service-config.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='1.2.3.4:1234,True' \
--expected_chosen_service_config='{"loadBalancingPolicy":"round_robin","methodConfig":[{"name":[{"method":"Foo","service":"SimpleService","waitForReady":true}]}]}' \
--expected_lb_policy='round_robin' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='ipv4-no-srv-simple-service-config.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='1.2.3.4:443,False' \
--expected_chosen_service_config='{"loadBalancingPolicy":"round_robin","methodConfig":[{"name":[{"method":"Foo","service":"NoSrvSimpleService","waitForReady":true}]}]}' \
--expected_lb_policy='round_robin' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='ipv4-no-config-for-cpp.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='1.2.3.4:443,False' \
--expected_chosen_service_config='' \
--expected_lb_policy='' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='ipv4-cpp-config-has-zero-percentage.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='1.2.3.4:443,False' \
--expected_chosen_service_config='' \
--expected_lb_policy='' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='ipv4-second-language-is-cpp.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='1.2.3.4:443,False' \
--expected_chosen_service_config='{"loadBalancingPolicy":"round_robin","methodConfig":[{"name":[{"method":"Foo","service":"CppService","waitForReady":true}]}]}' \
--expected_lb_policy='round_robin' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='ipv4-config-with-percentages.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='1.2.3.4:443,False' \
--expected_chosen_service_config='{"loadBalancingPolicy":"round_robin","methodConfig":[{"name":[{"method":"Foo","service":"AlwaysPickedService","waitForReady":true}]}]}' \
--expected_lb_policy='round_robin' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='srv-ipv4-target-has-backend-and-balancer.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='1.2.3.4:1234,True;1.2.3.4:443,False' \
--expected_chosen_service_config='' \
--expected_lb_policy='' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='srv-ipv6-target-has-backend-and-balancer.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='[2607:f8b0:400a:801::1002]:1234,True;[2607:f8b0:400a:801::1002]:443,False' \
--expected_chosen_service_config='' \
--expected_lb_policy='' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

$FLAGS_test_bin_path \
--target_name='ipv4-config-causing-fallback-to-tcp.resolver-tests-version-4.grpctestingexp.' \
--expected_addrs='1.2.3.4:443,False' \
--expected_chosen_service_config='{"loadBalancingPolicy":"round_robin","methodConfig":[{"name":[{"method":"Foo","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooTwo","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooThree","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooFour","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooFive","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooSix","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooSeven","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooEight","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooNine","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooTen","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooEleven","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooTwelve","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooTwelve","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooTwelve","service":"SimpleService","waitForReady":true}]},{"name":[{"method":"FooTwelve","service":"SimpleService","waitForReady":true}]}]}' \
--expected_lb_policy='' \
--local_dns_server_address=127.0.0.1:$FLAGS_test_dns_server_port &
wait $! || EXIT_CODE=1
--local_dns_server_address="127.0.0.1:$FLAGS_test_dns_server_port" &
wait "$!" || EXIT_CODE=1

kill -SIGTERM $DNS_SERVER_PID || true
kill -SIGTERM "$DNS_SERVER_PID" || true
wait
exit $EXIT_CODE
2 changes: 1 addition & 1 deletion test/cpp/naming/resolver_gce_integration_tests_runner.sh
Original file line number Diff line number Diff line change
Expand Up @@ -24,7 +24,7 @@ elif [[ "$GRPC_DNS_RESOLVER" != ares ]]; then
exit 1
fi

cd $(dirname $0)/../../..
cd "$(dirname "$0")/../../.."

if [[ "$CONFIG" == "" ]]; then
export CONFIG=opt
Expand Down
2 changes: 1 addition & 1 deletion test/distrib/cpp/run_distrib_test_cmake.sh
Original file line number Diff line number Diff line change
Expand Up @@ -15,7 +15,7 @@

set -ex

cd $(dirname $0)/../../..
cd "$(dirname "$0")/../../.."

echo "deb http://ftp.debian.org/debian jessie-backports main" | tee /etc/apt/sources.list.d/jessie-backports.list
apt-get update
Expand Down
2 changes: 1 addition & 1 deletion test/distrib/cpp/run_distrib_test_routeguide.sh
Original file line number Diff line number Diff line change
Expand Up @@ -16,7 +16,7 @@
set -ex

# change to grpc repo root
cd $(dirname $0)/../../..
cd "$(dirname "$0")/../../.."

cd third_party/protobuf && ./autogen.sh && \
./configure && make -j4 && make check && make install && ldconfig
Expand Down
2 changes: 1 addition & 1 deletion test/distrib/csharp/run_distrib_test.sh
Original file line number Diff line number Diff line change
Expand Up @@ -15,7 +15,7 @@

set -ex

cd $(dirname $0)
cd "$(dirname "$0")"

unzip -o "$EXTERNAL_GIT_ROOT/input_artifacts/csharp_nugets_windows_dotnetcli.zip" -d TestNugetFeed

Expand Down
2 changes: 1 addition & 1 deletion test/distrib/csharp/run_distrib_test_dotnetcli.sh
Original file line number Diff line number Diff line change
Expand Up @@ -15,7 +15,7 @@

set -ex

cd $(dirname $0)
cd "$(dirname "$0")"

unzip -o "$EXTERNAL_GIT_ROOT/input_artifacts/csharp_nugets_windows_dotnetcli.zip" -d TestNugetFeed

Expand Down
4 changes: 3 additions & 1 deletion test/distrib/csharp/update_version.sh
Original file line number Diff line number Diff line change
Expand Up @@ -15,12 +15,14 @@

set -e

cd $(dirname $0)
cd "$(dirname "$0")"

CSHARP_VERSION="$1"
if [ "$CSHARP_VERSION" == "auto" ]
then
# autodetect C# version from the name of Grpc.Core.0.0.0-x.nupkg file
# TODO: find a better shellcheck-compliant way to write the following line
# shellcheck disable=SC2010
CSHARP_VERSION=$(ls TestNugetFeed | grep -m 1 '^Grpc\.Core\.[0-9].*\.nupkg$' | sed s/^Grpc\.Core\.// | sed s/\.nupkg$// | sed s/\.symbols$//)
echo "Autodetected nuget ${CSHARP_VERSION}"
fi
Expand Down
4 changes: 2 additions & 2 deletions test/distrib/php/run_distrib_test.sh
Original file line number Diff line number Diff line change
Expand Up @@ -15,9 +15,9 @@

set -ex

cd $(dirname $0)
cd "$(dirname "$0")"

cp -r $EXTERNAL_GIT_ROOT/input_artifacts/grpc-*.tgz .
cp -r "$EXTERNAL_GIT_ROOT"/input_artifacts/grpc-*.tgz .

find . -regextype sed -regex ".*/grpc-[0-9].*.tgz" | cut -b3- | \
xargs pecl install
Expand Down
Loading

0 comments on commit a54d81e

Please sign in to comment.